%define module pyparsing

Summary:        A general parsing module for Python
Name:           python-parsing
Version:        2.0.3
Release:        %mkrel 2
License:        MIT
Group:          Development/Python
URL:            http://pyparsing.wikispaces.com/
Source0:        http://downloads.sourceforge.net/pyparsing/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildArch:      noarch
Provides:	python-parsing

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.


%package docs
Summary:        A general parsing module for Python
Group:          Documentation
BuildArch:	noarch

%description docs
This package includes the HTML documentataion and examples of %{module}.


%package -n python3-parsing
Summary:        A general parsing module for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
Provides:	python3-pyparsing

%description -n python3-parsing
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 3 version.


%prep
%setup -q -n %{module}-%version
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

rm -f %{buildroot}%{python_sitelib}/%{module}-%{version}-py%{pyver}.egg-info
rm -f %{buildroot}%{python3_sitelib}/%{module}-%{version}-py%{py3ver}.egg-info

%pre
rm -rf /usr/lib/python2.7/site-packages/pyparsing-2.0.3-py2.7.egg-info

%files
%doc CHANGES LICENSE README
%{python_sitelib}/%{module}.py*


%files docs
%doc docs/*

%files -n python3-parsing
%doc CHANGES LICENSE README
%{python3_sitelib}/%{module}.py*


%changelog
* Mon Aug 24 2015 bb <bb> 2.0.3-1pclos2015
- fix for updating

* Mon Jun 15 2015 gseaman <galen.seaman at comcast.net> 2.0.3-1gseaman2015
- rebase on mga for python3 support
